from model.DateUtils import DateUtils
from model.log import logger
from model.DingTalkUtils import DingTalkUtils
from data_stat_task import *
from sync_to_ck_task import *
from app.etl.dm.dm_pitcher_daily_overview import dm_pitcher_daily_overview
from app.etl.dw.dw_channel_daily import dw_daily_channel,dw_channel
from app.etl.dw.dw_pitcher_daily import dw_pitcher_trend
from app.etl.ods.ods_book_info_daily import book_info_daily
log=logger()
du = DateUtils()

import sys

def do_order(st,et):
    for i in du.getDateLists(st,et):
        print(i)
        ods_order(i)
        order_sync_ck(i)
def do_cost(st,et):
    for i in du.getDateLists(st,et):
        print(i)
        channel_by_account_daily(i)
        channel_info_daily(i)
        # book_info_daily(i)
        dw_daily_channel_cost(i)
        dw_order_channel_cost_sync_ck(i)


def main(st,et):
    try:
        do_order(st,et)
        do_cost(st,et)
        dw_daily_channel()
        dw_channel()
        dw_pitcher_trend()
        dm_pitcher_daily_overview()
    except Exception as e:
        DingTalkUtils.send("hourlyRun fail!! ",'18860455786')


def hourly():
    thedate=du.getTodayOrYestoday()
    main(thedate, thedate)


def daily():
    "往前跑10天"
    st=du.get_n_days(-10)
    et=du.get_n_days(-1)
    do_order(st, et)
    do_cost(st, et)



if __name__ == '__main__':
    hourly()