
import time
from model.DateUtils import DateUtils
from model.DataBaseUtils import MysqlUtils,CkUtils
du = DateUtils()
db= MysqlUtils()
ck = CkUtils()


def book_info_daily(ymd):

    sql=f"""SELECT '{ymd}' dt,b.book_name book,c.platform_name  platform,node_price require_roi,ratio require_mult from
(
select y.platform_book_id,node_price,ratio FROM
(select max(create_time) create_time,platform_book_id from t_platform_book_ratio where effect_day<='{ymd}' and del_flag=0 GROUP BY platform_book_id ) x
left join t_platform_book_ratio y on x.platform_book_id=x.platform_book_id 
and x.create_time=y.create_time
) a
left join t_platform_book b on a.platform_book_id=b.id 
left join t_platform_novel c on b.platform_id=c.id 
    """
    data =db.zx.getData(sql)
    print(data)
    db.quchen_text.executeMany("replace into ods_book_info_daily values(%s,%s,%s,%s,%s)",data)


if __name__ == '__main__':
    # get_book_info('2021-01-28')
    book_info_daily()


